<?php
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");
include "../../assets/phpqrcode/qrlib.php";
(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';

if ($pg == 'mruang') {
  $where = [
			'nama_ruang' => $_POST['pras']				 
            ];
    
	$data = [
			'nama_ruang' => $_POST['pras']
            ];	
	 $cek = rowcount($koneksi, 'm_ruang', $where);
            if ($cek == 0) {
            $exec = insert($koneksi, 'm_ruang', $data);
            echo "OK";
        }
}
if ($pg == 'msar') {
  $where = [
			'nama_sarana' => $_POST['sar']				 
            ];
    
	$data = [
			'nama_sarana' => $_POST['sar']	
            ];	
	 $cek = rowcount($koneksi, 'm_sarana', $where);
            if ($cek == 0) {
            $exec = insert($koneksi, 'm_sarana', $data);
            echo "OK";
        }
}

if ($pg == 'tanah') {
	
 $where = [
			'no_sertifikat' => $_POST['sertifikat']
            ];
    
	$data = [
			'nama' => $_POST['nama'],
			'no_sertifikat' => $_POST['sertifikat'],
			  'panjang'=>$_POST['panjang'],
			  'lebar'=>$_POST['lebar'],
			  'luas'=>$_POST['panjang']*$_POST['lebar'],
			  'jenis' => 'tanah'
            ];	
	 $cek = rowcount($koneksi, 'sapras', $where);
            if ($cek == 0) {
            $exec = insert($koneksi, 'sapras', $data);
            echo "OK";
			
        }	
		

}

if ($pg == 'edittanah') {
	$id= $_POST['ids'];
 
	$data = [
			'nama' => $_POST['nama'],
			'no_sertifikat' => $_POST['sertifikat'],
			  'panjang'=>$_POST['panjang'],
			  'lebar'=>$_POST['lebar'],
			  'luas'=>$_POST['panjang']*$_POST['lebar'],
			  'jenis' => 'tanah'
            ];	
	
            $exec = update($koneksi, 'sapras', $data,['id_sapras'=>$id]);
            echo "OK";
        	
}
if ($pg == 'hapus') {
	$id= $_POST['id'];
 $query = "SELECT * FROM sapras WHERE id_sapras='".$id."'";
		$sql = mysqli_query($koneksi, $query); 
		$data = mysqli_fetch_array($sql);

		if(is_file("../../".$data['foto'])) 
			unlink("../../".$data['foto']); 
            $exec = delete($koneksi, 'sapras',['id_sapras'=>$id]);
			 $exec = delete($koneksi, 'sapras_reg',['noreg'=>$data['noreg']]);
            echo "OK";
        	
}
if ($pg == 'foto') {
	$id= $_POST['ids'];
  $ektensi = ['jpg', 'png','jpeg'];
        if ($_FILES['gambar']['name'] <> '') {
            $gambar = $_FILES['gambar']['name'];
            $temp = $_FILES['gambar']['tmp_name'];
            $ext = explode('.', $gambar);
            $ext = end($ext);
            if (in_array($ext, $ektensi)) {
                $dest = 'foto/sapras/foto' . rand(1, 10000) . '.' . $ext;
                $upload = move_uploaded_file($temp, '../../' . $dest);
                if ($upload) {
                    $exec = update($koneksi, 'sapras', ['foto' => $dest], ['id_sapras' => $id]);
					echo "OK";
                } else {
                    echo "gagal";
                }
            }
        }
}
if ($pg == 'bangunan') {
	
	$data = [
			'nama' => $_POST['nama'],
			'kepemilikan' => $_POST['milik'],
			  'panjang'=>$_POST['panjang'],
			  'lebar'=>$_POST['lebar'],
			  'luas'=>$_POST['panjang']*$_POST['lebar'],
			  'jenis' => 'bangunan'
            ];	
	
            $exec = insert($koneksi, 'sapras', $data);
            echo "OK";
			
}
if ($pg == 'editbangunan') {
	$id= $_POST['ids'];
 
	$data = [
			'nama' => $_POST['nama'],
			'kepemilikan' => $_POST['milik'],
			  'panjang'=>$_POST['panjang'],
			  'lebar'=>$_POST['lebar'],
			  'luas'=>$_POST['panjang']*$_POST['lebar'],
			  'jenis' => 'bangunan'
            ];	
	
            $exec = update($koneksi, 'sapras', $data,['id_sapras'=>$id]);
            echo "OK";   	
}
if ($pg == 'ruang') {
	
	       $data = [
			'nama' => $_POST['nama'],
			'kelompok' => $_POST['kelompok'],
			  'panjang'=>$_POST['panjang'],
			  'lebar'=>$_POST['lebar'],
			  'luas'=>$_POST['panjang']*$_POST['lebar'],
			  'noreg' => $_POST['noreg'],
			  'kapasitas' => $_POST['kapasitas'],
			  'lantai' => $_POST['lantai'],
			  'jenis' => 'ruang'
            ];	
	 $dataQ = [
	  'noreg' => $_POST['noreg'],
	  'kode' =>'P'
	  ];
	 
            $exec = insert($koneksi, 'sapras', $data);
			 $exec = insert($koneksi, 'sapras_reg', $dataQ);
            echo "OK";
			
}
if ($pg == 'editruang') {
	$id= $_POST['ids'];
 
	$data = [
			'nama' => $_POST['nama'],
			'kelompok' => $_POST['kelompok'],
			  'panjang'=>$_POST['panjang'],
			  'lebar'=>$_POST['lebar'],
			  'luas'=>$_POST['panjang']*$_POST['lebar'],
			  'noreg' => $_POST['noreg'],
			  'kapasitas' => $_POST['kapasitas'],
			  'lantai' => $_POST['lantai'],
			  'jenis' => 'ruang'
            ];	
	
            $exec = update($koneksi, 'sapras', $data,['id_sapras'=>$id]);
            echo "OK";
        	
}